Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Get Work Order Location GETUpdate Work Order Location PUT

Resources

LogisticsLocation

Get Work Order Location


Retrieve the current location for a work order, including saved location details when applicable.

GET
/api/rest/v2/workorders/{work_order_id}/location

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/location"
{
  "coordinates": {
    "latitude": 44.9778,
    "longitude": -93.265,
    "exact": true
  },
  "work_order_id": 1001,
  "mode": "string_value",
  "address1": "123 Main St",
  "address2": "Suite 100",
  "city": "Minneapolis",
  "state": "MN",
  "zip": "90210",
  "country": "USA",
  "notes": [],
  "type": {
    "id": 123,
    "name": "Sample Name"
  },
  "saved_location": {
    "id": 123,
    "name": "Sample Name",
    "display_name": "string_value",
    "contact": {
      "name": "Sample Name",
      "phone": "555-0199"
    },
    "group": {
      "id": 123,
      "name": "Sample Name"
    }
  },
  "display_name": "string_value",
  "status_id": 0,
  "correlation_id": "string_value",
  "zoom": "string_value",
  "map": {
    "url": "https://fieldnation.com",
    "href": "string_value"
  },
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Create Work Order Message POST

Previous Page

Update Work Order Location PUT

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/location"